# Contribution guide

First of all, thank you for taking the time to contribute! 🎉

When contributing to [this project](https://github.com/engineervix/readme-coverage-badger), please first create an [issue](https://github.com/engineervix/readme-coverage-badger/issues) to discuss the change you wish to make before making a change.

If you are proposing a feature:

- Explain in detail how it would work.
- Keep the scope as narrow as possible, to make it easier to implement.
- Remember that this is a volunteer-driven project, and that contributions are welcome 😊.

## Before making a pull request

1. Follow the instructions in the **Getting Started** section of the [README.md](https://github.com/engineervix/readme-coverage-badger#getting-started)
2. Check out a new branch and add your modification.
3. Write tests, and ensure that they pass. Use `tox` to test other Python versions.
4. Update `README.md` for your changes. Please make sure that the Table of Contents is up to date. [DocToc](https://github.com/thlorenz/doctoc) makes this pretty easy, as you simply run `doctoc README.md` (You can install it globally on your system via `npm install -g doctoc`).
5. Commit your changes via `cz commit`, following the prompts to appropriately categorize your commit.
6. Send a [pull request](https://github.com/engineervix/readme-coverage-badger/pulls) 🙏
